Index: /branches/2.2/expressoMail1_2/js/local_messages.js
===================================================================
--- /branches/2.2/expressoMail1_2/js/local_messages.js	(revision 3269)
+++ /branches/2.2/expressoMail1_2/js/local_messages.js	(revision 3286)
@@ -1175,155 +1238,155 @@
  ******************************************************************/
 
-	local_messages.prototype.is_offline_installed = function() {
-		this.init_local_messages();
-		var check = this.localServer.openManagedStore('expresso-offline');
-		this.finalize();
-		if(check==null)
-			return false;
-		else
-			return true;
-		
-	}
-	local_messages.prototype.update_offline = function(redirect) {
-		this.init_local_messages();
-		var managedStore = this.localServer.openManagedStore('expresso-offline');
-
-		if(managedStore!=null){
-			
-			managedStore.oncomplete = function(details){
-				if(redirect!=null)
-					location.href=redirect;
-			}
-			
-			managedStore.checkForUpdate();
-		} else if(redirect!=null) {
-			location.href=redirect;
-		}
-		this.finalize();
-	}
-	
-	local_messages.prototype.uninstall_offline = function() {
-		if (!window.google || !google.gears) {
-				temp = confirm(document.getElementById('lang_gears_redirect').value);
-				if (temp) {
-					expresso_local_messages.installGears();
-				}
-				return;
-
-		}
-		this.init_local_messages();
-		this.localServer.removeManagedStore('expresso-offline');
-		alert(document.getElementById('lang_offline_uninstalled').value);
-		//this.dbGears.execute('drop table user');
-		//this.dbGears.execute('drop table queue');
-		//this.dbGears.execute('drop table attachments_queue');
-		this.finalize();
-	}
-	
-	local_messages.prototype.get_folders_to_sync = function() {//Precisa ter visibilidade ao array de linguagens.
-		this.init_local_messages();
-		var rs = this.dbGears.execute("select id_folder,folder_name from folders_sync where uid_usuario="+account_id);
-		var retorno = new Array();
-		while(rs.isValidRow()) {
-			temp = new Array();
-			temp[0] = rs.field(0);
-			if(temp[0]=='INBOX/Drafts' ||temp[0]=='INBOX/Trash' || temp[0]=='INBOX/Sent') {
-				temp[1] = array_lang[rs.field(1).toLowerCase()];
-			}
-			else {
-				temp[1] = rs.field(1);	
-			}
-			
-			retorno.push(temp);
-			rs.next();
-		}
-		this.finalize();
-		return retorno;
-	}
-	
-	local_messages.prototype.install_offline = function(urlOffline,urlIcone,uid_usuario,login,pass,redirect) {
-		if (!window.google || !google.gears) {
-				temp = confirm(document.getElementById('lang_gears_redirect').value);
-				if (temp) {
-					 expresso_local_messages.installGears();
-				}
-				return;
-
-		}
-		
-		if(pass.length>0) {
-			only_spaces = true;
-			for(cont=0;cont<pass.length;cont++) {
-				if(pass.charAt(cont)!=" ")
-					only_spaces = false;
-			}
-			if(only_spaces) {
-				alert(document.getElementById('lang_only_spaces_not_allowed').value);
-				return false;
-			}
-		}
-
-		modal('loading');
-		var desktop = google.gears.factory.create('beta.desktop');
-		desktop.createShortcut('ExpressoMail Offline',
-			urlOffline,
+local_messages.prototype.is_offline_installed = function() {
+    this.init_local_messages();
+    var check = this.localServer.openManagedStore('expresso-offline');
+    this.finalize();
+    if(check==null)
+	return false;
+    else
+	return true;
+		
+}
+local_messages.prototype.update_offline = function(redirect) {
+    this.init_local_messages();
+    var managedStore = this.localServer.openManagedStore('expresso-offline');
+
+    if(managedStore!=null){
+			
+	managedStore.oncomplete = function(details){
+	    if(redirect!=null)
+		location.href=redirect;
+	}
+			
+	managedStore.checkForUpdate();
+    } else if(redirect!=null) {
+	location.href=redirect;
+    }
+    this.finalize();
+}
+	
+local_messages.prototype.uninstall_offline = function() {
+    if (!window.google || !google.gears) {
+	temp = confirm(document.getElementById('lang_gears_redirect').value);
+	if (temp) {
+	    expresso_local_messages.installGears();
+	}
+	return;
+
+    }
+    this.init_local_messages();
+    this.localServer.removeManagedStore('expresso-offline');
+    alert(document.getElementById('lang_offline_uninstalled').value);
+    //this.dbGears.execute('drop table user');
+    //this.dbGears.execute('drop table queue');
+    //this.dbGears.execute('drop table attachments_queue');
+    this.finalize();
+}
+	
+local_messages.prototype.get_folders_to_sync = function() {//Precisa ter visibilidade ao array de linguagens.
+    this.init_local_messages();
+    var rs = this.dbGears.execute("select id_folder,folder_name from folders_sync where uid_usuario="+account_id);
+    var retorno = new Array();
+    while(rs.isValidRow()) {
+	temp = new Array();
+	temp[0] = rs.field(0);
+	if(temp[0]=='INBOX/Drafts' ||temp[0]=='INBOX/Trash' || temp[0]=='INBOX/Sent') {
+	    temp[1] = array_lang[rs.field(1).toLowerCase()];
+	}
+	else {
+	    temp[1] = rs.field(1);
+	}
+			
+	retorno.push(temp);
+	rs.next();
+    }
+    this.finalize();
+    return retorno;
+}
+	
+local_messages.prototype.install_offline = function(urlOffline,urlIcone,uid_usuario,login,pass,redirect) {
+    if (!window.google || !google.gears) {
+	temp = confirm(document.getElementById('lang_gears_redirect').value);
+	if (temp) {
+	    expresso_local_messages.installGears();
+	}
+	return;
+
+    }
+		
+    if(pass.length>0) {
+	only_spaces = true;
+	for(cont=0;cont<pass.length;cont++) {
+	    if(pass.charAt(cont)!=" ")
+		only_spaces = false;
+	}
+	if(only_spaces) {
+	    alert(document.getElementById('lang_only_spaces_not_allowed').value);
+	    return false;
+	}
+    }
+
+    modal('loading');
+    var desktop = google.gears.factory.create('beta.desktop');
+    desktop.createShortcut('ExpressoMail Offline',
+	urlOffline,
 	        {'32x32': urlIcone},
-	        'ExpressoMail Offline');
-
-
-		this.init_local_messages();
-
-		//user with offline needs to have at least the folder Inbox already created.
-		tmp_rs = this.dbGears.execute("select rowid from folder where folder='Inbox' and uid_usuario=?",[uid_usuario]);
-		if(!tmp_rs.isValidRow())
-			this.dbGears.execute("insert into folder (folder,uid_usuario) values (?,?)",['Inbox',uid_usuario]);
-
-		this.localServer.removeManagedStore('expresso-offline');
-	
-		var managedStore = this.localServer.createManagedStore('expresso-offline');
-		managedStore.manifestUrl = 'js/manifest';
-
-		managedStore.onerror = function (error) {
-			alert(error);
-		}
-		
-		managedStore.oncomplete = function(details) {
-			if (close_lightbox_div) {
-				close_lightbox();
-				close_lightbox_div = false;
-				alert(document.getElementById('lang_offline_installed').value);
-				location.href=redirect;
-			}
-		}
-
-		//create structure to user in db
-		this.dbGears.execute('create table if not exists user (uid_usuario int,login text,pass text, logged int,unique(uid_usuario))');
-		this.dbGears.execute('create table if not exists queue (ffrom text, fto text, cc text, cco text,'+
-			'subject text, conf_receipt int, important int,body text,sent int,user int)');
-		this.dbGears.execute('create table if not exists attachments_queue ('+
-			'id_queue int, url_attach text)');
-		this.dbGears.execute('create table if not exists sent_problems (' +
-			'id_queue int,message text)');
-		
-		//d = new Date();
-		
-		try {
-			var rs = this.dbGears.execute("select uid_usuario from user where uid_usuario=?",[uid_usuario]);
-			if(!rs.isValidRow())
-				this.dbGears.execute("insert into user (uid_usuario,login,pass) values (?,?,?)",[uid_usuario,login,pass]);
-			else
-				this.dbGears.execute("update user set pass=? where uid_usuario=?",[pass,uid_usuario]);
-		} catch (error) {
-			this.finalize();
-			alert(error);
-			return false;
-		}
-		managedStore.checkForUpdate();
-		this.capt_url('controller.php?action=$this.db_functions.get_dropdown_contacts_to_cache');
-		
-		this.finalize();
-	}
-	
-	/**
+	'ExpressoMail Offline');
+
+
+    this.init_local_messages();
+
+    //user with offline needs to have at least the folder Inbox already created.
+    tmp_rs = this.dbGears.execute("select rowid from folder where folder='Inbox' and uid_usuario=?",[uid_usuario]);
+    if(!tmp_rs.isValidRow())
+	this.dbGears.execute("insert into folder (folder,uid_usuario) values (?,?)",['Inbox',uid_usuario]);
+
+    this.localServer.removeManagedStore('expresso-offline');
+	
+    var managedStore = this.localServer.createManagedStore('expresso-offline');
+    managedStore.manifestUrl = 'js/manifest';
+
+    managedStore.onerror = function (error) {
+	alert(error);
+    }
+		
+    managedStore.oncomplete = function(details) {
+	if (close_lightbox_div) {
+	    close_lightbox();
+	    close_lightbox_div = false;
+	    alert(document.getElementById('lang_offline_installed').value);
+	    location.href=redirect;
+	}
+    }
+
+    //create structure to user in db
+    this.dbGears.execute('create table if not exists user (uid_usuario int,login text,pass text, logged int,unique(uid_usuario))');
+    this.dbGears.execute('create table if not exists queue (ffrom text, fto text, cc text, cco text,'+
+	'subject text, conf_receipt int, important int,body text,sent int,user int)');
+    this.dbGears.execute('create table if not exists attachments_queue ('+
+	'id_queue int, url_attach text)');
+    this.dbGears.execute('create table if not exists sent_problems (' +
+	'id_queue int,message text)');
+		
+    //d = new Date();
+		
+    try {
+	var rs = this.dbGears.execute("select uid_usuario from user where uid_usuario=?",[uid_usuario]);
+	if(!rs.isValidRow())
+	    this.dbGears.execute("insert into user (uid_usuario,login,pass) values (?,?,?)",[uid_usuario,login,pass]);
+	else
+	    this.dbGears.execute("update user set pass=? where uid_usuario=?",[pass,uid_usuario]);
+    } catch (error) {
+	this.finalize();
+	alert(error);
+	return false;
+    }
+    managedStore.checkForUpdate();
+    this.capt_url('controller.php?action=$this.db_functions.get_dropdown_contacts_to_cache');
+		
+    this.finalize();
+}
+	
+/**
 	 * Return all users in an array following the structure below.
 	 * 
@@ -1331,266 +1394,266 @@
 	 * value: user login
 	 */
-	local_messages.prototype.get_all_users = function() {
-		this.init_local_messages();
-		var users = new Array();
-		var rs = this.dbGears.execute("select uid_usuario,login from user");
-		while(rs.isValidRow()) {
-			users[rs.field(0)] = rs.field(1);
-			rs.next();
-		}
-		this.finalize();
-		return users;
-	}
-	
-	local_messages.prototype.set_as_logged = function(uid_usuario,pass,bypass) {
-		this.init_local_messages();
-		if (!bypass) {
-			var rs = this.dbGears.execute("select pass from user where uid_usuario=?", [uid_usuario]);
-			if (!rs.isValidRow() || (pass != rs.field(0) && pass != MD5(rs.field(0)))) {
-				this.finalize();
-				return false;
-			}
-		}
-		d = new Date();
-
-		this.dbGears.execute("update user set logged=null"); //Logoff in everybody
-		this.dbGears.execute("update user set logged=? where uid_usuario=?",[d.getTime(),uid_usuario]); //Login just in one...
-		this.finalize();
-		return true;
-	}
-	
-	local_messages.prototype.unset_as_logged = function() {
-		this.init_local_messages();
-		this.dbGears.execute("update user set logged=null"); //Logoff in everybody
-		this.finalize();
-	}
-	
-	local_messages.prototype.user_logged = function() {
-		this.init_local_messages();
-		var user_logged = new Array();
-		var rs = this.dbGears.execute("select uid_usuario,logged from user where logged is not null");
-		if(!rs.isValidRow()) {
-			this.finalize();
-			return null;
-		}
-		user_logged[0] = rs.field(0);
-		user_logged[1] = rs.field(1);
-		this.finalize();
-		return user_logged;
-	}
-	
-	local_messages.prototype.send_to_queue = function (form) {
-		this.init_local_messages();
-		var mail_values = new Array();
-		
-		for (var i=0;i<form.length;i++) {
-			if (form.elements[i].name != '') { //I.E made me to do that...
-				if(form.elements[i].name=='folder' || form.elements[i].name=='msg_id' || form.elements[i].name=='' || form.elements[i].name==null)
-					continue;
-				else if (form.elements[i].name == 'input_return_receipt' ) 
-					mail_values['conf_receipt'] = form.elements[i].checked ? 1 : 0;
-				else if(form.elements[i].name == 'input_important_message')
-					mail_values['important'] = form.elements[i].checked ? 1 : 0;
-				else 
-					if (form.elements[i].name == 'body') 
-						mail_values['body'] = form.elements[i].value;
-					else 
-						if (form.elements[i].name == 'input_from') 
-							mail_values['ffrom'] = form.elements[i].value;
-						else 
-							if (form.elements[i].name == 'input_to') 
-								mail_values['fto'] = form.elements[i].value;
-							else 
-								if (form.elements[i].name == 'input_cc') 
-									mail_values['cc'] = form.elements[i].value;
-								else 
-									if (form.elements[i].name == 'input_cco') 
-										mail_values['cco'] = form.elements[i].value;
-									else 
-										if (form.elements[i].name == 'input_subject') 
-											mail_values['subject'] = form.elements[i].value;
-			}
-		}
-		//mail_values['fto'] = input_to;
-		//mail_values['cc'] = input_cc;
-		//mail_values['cco'] = input_cco;
-		//mail_values['subject'] = input_subject;
-		//mail_values['conf_receipt'] = input_return_receipt;
-		//mail_values['important'] = input_important_message;
-		
-		try {
-			this.dbGears.execute("insert into queue (ffrom,fto,cc,cco,subject,conf_receipt,important,body,sent,user) values (?,?,?,?,?,?,?,?,0,?)", [mail_values['ffrom'], mail_values['fto'], mail_values['cc'], mail_values['cco'], mail_values['subject'], mail_values['conf_receipt'], mail_values['important'], mail_values['body'], account_id]);
-			this.send_attach_to_queue(this.dbGears.lastInsertRowId,form);
-		}catch(error) {
-			alert(error);
-			return get_lang('Error sending a mail to queue. Verify if you have installed ExpressoMail Offline');
-		}
-		this.finalize();
-		return true;
-	}
-	
-	local_messages.prototype.send_attach_to_queue = function(id_queue,form) {
-		
-		for(i=0;i<form.elements.length;i++) {
-			
-			if(form.elements[i].name.indexOf("file_")!=-1) {
-				var tmp_input = form.elements[i];
-				var d = new Date();
-				var url_local = 'local_attachs/'+d.getTime();
-				this.store.captureFile(tmp_input, url_local);
-				this.dbGears.execute("insert into attachments_queue (id_queue,url_attach) values (?,?)",[id_queue,url_local]);
-			}
-			else if(form.elements[i].name.indexOf("offline_forward_")!=-1){
-				//alert();
-				this.dbGears.execute("insert into attachments_queue (id_queue,url_attach) values (?,?)",[id_queue,form.elements[i].value]);
-			}
-		}
-	}
-
-	
-	local_messages.prototype.get_num_msgs_to_send = function() {
-		this.init_local_messages();
-
-		var rs = this.dbGears.execute("select count(*) from queue where user=? and sent=0",[account_id]);
-		var to_return = rs.field(0);
-
-		this.finalize();
-		return to_return;
-	}
-	
-	local_messages.prototype.set_problem_on_sent = function(rowid_message,msg) {
-		this.init_local_messages();
-		this.dbGears.execute("update queue set sent = 2 where rowid=?",[rowid_message]);
-		this.dbGears.execute("insert into sent_problems (id_queue,message) values (?,?)"[rowid_message,msg]);
-		this.finalize();
-	}
-	
-	local_messages.prototype.set_as_sent = function(rowid_message) {
-		this.init_local_messages();
-		this.dbGears.execute("update queue set sent = 1 where rowid=?",[rowid_message]);
-		this.finalize();
-	}
-	
-	local_messages.prototype.get_form_msg_to_send = function() {
-		this.init_local_messages();
-		var rs = this.dbGears.execute('select ffrom,fto,cc,cco,subject,conf_receipt,important,body,rowid from queue where sent=0 and user = ? limit 0,1',[account_id]);
-		if(!rs.isValidRow())
-			return false;
-		
-		var form = document.createElement('form');
-		form.method = 'POST';
-		form.name = 'form_queue_'+rs.field(8);
-		form.style.display = 'none';
+local_messages.prototype.get_all_users = function() {
+    this.init_local_messages();
+    var users = new Array();
+    var rs = this.dbGears.execute("select uid_usuario,login from user");
+    while(rs.isValidRow()) {
+	users[rs.field(0)] = rs.field(1);
+	rs.next();
+    }
+    this.finalize();
+    return users;
+}
+	
+local_messages.prototype.set_as_logged = function(uid_usuario,pass,bypass) {
+    this.init_local_messages();
+    if (!bypass) {
+	var rs = this.dbGears.execute("select pass from user where uid_usuario=?", [uid_usuario]);
+	if (!rs.isValidRow() || (pass != rs.field(0) && pass != MD5(rs.field(0)))) {
+	    this.finalize();
+	    return false;
+	}
+    }
+    d = new Date();
+
+    this.dbGears.execute("update user set logged=null"); //Logoff in everybody
+    this.dbGears.execute("update user set logged=? where uid_usuario=?",[d.getTime(),uid_usuario]); //Login just in one...
+    this.finalize();
+    return true;
+}
+	
+local_messages.prototype.unset_as_logged = function() {
+    this.init_local_messages();
+    this.dbGears.execute("update user set logged=null"); //Logoff in everybody
+    this.finalize();
+}
+	
+local_messages.prototype.user_logged = function() {
+    this.init_local_messages();
+    var user_logged = new Array();
+    var rs = this.dbGears.execute("select uid_usuario,logged from user where logged is not null");
+    if(!rs.isValidRow()) {
+	this.finalize();
+	return null;
+    }
+    user_logged[0] = rs.field(0);
+    user_logged[1] = rs.field(1);
+    this.finalize();
+    return user_logged;
+}
+	
+local_messages.prototype.send_to_queue = function (form) {
+    this.init_local_messages();
+    var mail_values = new Array();
+		
+    for (var i=0;i<form.length;i++) {
+	if (form.elements[i].name != '') { //I.E made me to do that...
+	    if(form.elements[i].name=='folder' || form.elements[i].name=='msg_id' || form.elements[i].name=='' || form.elements[i].name==null)
+		continue;
+	    else if (form.elements[i].name == 'input_return_receipt' )
+		mail_values['conf_receipt'] = form.elements[i].checked ? 1 : 0;
+	    else if(form.elements[i].name == 'input_important_message')
+		mail_values['important'] = form.elements[i].checked ? 1 : 0;
+	    else
+	    if (form.elements[i].name == 'body')
+		mail_values['body'] = form.elements[i].value;
+	    else
+	    if (form.elements[i].name == 'input_from')
+		mail_values['ffrom'] = form.elements[i].value;
+	    else
+	    if (form.elements[i].name == 'input_to')
+		mail_values['fto'] = form.elements[i].value;
+	    else
+	    if (form.elements[i].name == 'input_cc')
+		mail_values['cc'] = form.elements[i].value;
+	    else
+	    if (form.elements[i].name == 'input_cco')
+		mail_values['cco'] = form.elements[i].value;
+	    else
+	    if (form.elements[i].name == 'input_subject')
+		mail_values['subject'] = form.elements[i].value;
+	}
+    }
+    //mail_values['fto'] = input_to;
+    //mail_values['cc'] = input_cc;
+    //mail_values['cco'] = input_cco;
+    //mail_values['subject'] = input_subject;
+    //mail_values['conf_receipt'] = input_return_receipt;
+    //mail_values['important'] = input_important_message;
+		
+    try {
+	this.dbGears.execute("insert into queue (ffrom,fto,cc,cco,subject,conf_receipt,important,body,sent,user) values (?,?,?,?,?,?,?,?,0,?)", [mail_values['ffrom'], mail_values['fto'], mail_values['cc'], mail_values['cco'], mail_values['subject'], mail_values['conf_receipt'], mail_values['important'], mail_values['body'], account_id]);
+	this.send_attach_to_queue(this.dbGears.lastInsertRowId,form);
+    }catch(error) {
+	alert(error);
+	return get_lang('Error sending a mail to queue. Verify if you have installed ExpressoMail Offline');
+    }
+    this.finalize();
+    return true;
+}
+	
+local_messages.prototype.send_attach_to_queue = function(id_queue,form) {
+		
+    for(i=0;i<form.elements.length;i++) {
+			
+	if(form.elements[i].name.indexOf("file_")!=-1) {
+	    var tmp_input = form.elements[i];
+	    var d = new Date();
+	    var url_local = 'local_attachs/'+d.getTime();
+	    this.store.captureFile(tmp_input, url_local);
+	    this.dbGears.execute("insert into attachments_queue (id_queue,url_attach) values (?,?)",[id_queue,url_local]);
+	}
+	else if(form.elements[i].name.indexOf("offline_forward_")!=-1){
+	    //alert();
+	    this.dbGears.execute("insert into attachments_queue (id_queue,url_attach) values (?,?)",[id_queue,form.elements[i].value]);
+	}
+    }
+}
+
+	
+local_messages.prototype.get_num_msgs_to_send = function() {
+    this.init_local_messages();
+
+    var rs = this.dbGears.execute("select count(*) from queue where user=? and sent=0",[account_id]);
+    var to_return = rs.field(0);
+
+    this.finalize();
+    return to_return;
+}
+	
+local_messages.prototype.set_problem_on_sent = function(rowid_message,msg) {
+    this.init_local_messages();
+    this.dbGears.execute("update queue set sent = 2 where rowid=?",[rowid_message]);
+    this.dbGears.execute("insert into sent_problems (id_queue,message) values (?,?)"[rowid_message,msg]);
+    this.finalize();
+}
+	
+local_messages.prototype.set_as_sent = function(rowid_message) {
+    this.init_local_messages();
+    this.dbGears.execute("update queue set sent = 1 where rowid=?",[rowid_message]);
+    this.finalize();
+}
+	
+local_messages.prototype.get_form_msg_to_send = function() {
+    this.init_local_messages();
+    var rs = this.dbGears.execute('select ffrom,fto,cc,cco,subject,conf_receipt,important,body,rowid from queue where sent=0 and user = ? limit 0,1',[account_id]);
+    if(!rs.isValidRow())
+	return false;
+		
+    var form = document.createElement('form');
+    form.method = 'POST';
+    form.name = 'form_queue_'+rs.field(8);
+    form.style.display = 'none';
 		form.onsubmit = function(){return false;}
-		if(!is_ie)
-			form.enctype="multipart/form-data";
-		else
-			form.encoding="multipart/form-data";
-		
-		var ffrom = document.createElement('TEXTAREA');
-		ffrom.name = "input_from";
-		ffrom.value = rs.field(0);
-		form.appendChild(ffrom);
-		
-		var fto = document.createElement('TEXTAREA');
-		fto.name = "input_to";
-		fto.value = rs.field(1);
-		form.appendChild(fto);
-		
-		var cc = document.createElement('TEXTAREA');
-		cc.name = "input_cc";
-		cc.value = rs.field(2);
-		form.appendChild(cc);
-
-		var cco = document.createElement('TEXTAREA');
-		cco.name = "input_cco";
-		cco.value = rs.field(3);
-		form.appendChild(cco);
-		
-		var subject = document.createElement('TEXTAREA');
-		subject.name = "input_subject";
-		subject.value = rs.field(4);
-		form.appendChild(subject);
-		
-		var folder = document.createElement('input');
-		folder.name='folder';
-		folder.value=preferences.save_in_folder;
-		form.appendChild(folder);
-		
-		if (rs.field(5) == 1) {
-			var conf_receipt = document.createElement('input');
-			conf_receipt.type='text';
-			conf_receipt.name = "input_return_receipt";
-			conf_receipt.value = 'on';
-			form.appendChild(conf_receipt);
-		}
-		
-		if (rs.field(6) == 1) {
-			var important = document.createElement('input');
-			important.type='text';
-			important.name = "input_important_message";
-			important.value = 'on';
-			form.appendChild(important);
-		}
-		
-		var body = document.createElement('TEXTAREA');
-		body.name = "body";
-		body.value = rs.field(7);
-		form.appendChild(body);
-		
-		var rowid = document.createElement('input');
-		rowid.type = 'hidden';
-		rowid.name = 'rowid';
-		rowid.value = rs.field(8);
-		form.appendChild(rowid);
-		
-		//Mounting the attachs
-		var divFiles = document.createElement("div");
-		divFiles.id = 'divFiles_queue_'+rs.field(8);
-		
-		form.appendChild(divFiles);
-		
-		document.getElementById('forms_queue').appendChild(form);
-
-		var is_local_forward = false;
-		try {
-			
-			var rs_attach = this.dbGears.execute('select url_attach from attachments_queue where id_queue=?', [rs.field(8)]);
-			while (rs_attach.isValidRow()) {
-				if(rs_attach.field(0).indexOf('../tmpLclAtt/')==-1) {
-					tmp_field = addForwardedFile('queue_' + rs.field(8), this.store.getCapturedFileName(rs_attach.field(0)), 'nothing');
-				}
-				else {
-					var tempNomeArquivo = rs_attach.field(0).split("/");
-					var nomeArquivo = tempNomeArquivo[tempNomeArquivo.length-1];
-					nomeArquivo = nomeArquivo.substring(0,nomeArquivo.length - 4); //Anexos no gears sï¿œo todos com extensï¿œo .php. tenho que tirar a extensï¿œo para ficar o nome real do arquivo.
-					is_local_forward = true;
-					tmp_field = addForwardedFile('queue_' + rs.field(8), nomeArquivo, 'nothing');
-				}
-				fileSubmitter = this.store.createFileSubmitter();
-				fileSubmitter.setFileInputElement(tmp_field,rs_attach.field(0));
-		//		alert(form.innerHTML);
-			//	div.appendChild(tmp_field);
-				rs_attach.next();
-			}
-			
-			if(is_local_forward) {
-				var is_lcl_fw = document.createElement('input');
-				is_lcl_fw.type = 'hidden';
-				is_lcl_fw.name = 'is_local_forward';
-				is_lcl_fw.value = "1";
-				form.appendChild(is_lcl_fw);
-			}
+    if(!is_ie)
+	form.enctype="multipart/form-data";
+    else
+	form.encoding="multipart/form-data";
+		
+    var ffrom = document.createElement('TEXTAREA');
+    ffrom.name = "input_from";
+    ffrom.value = rs.field(0);
+    form.appendChild(ffrom);
+		
+    var fto = document.createElement('TEXTAREA');
+    fto.name = "input_to";
+    fto.value = rs.field(1);
+    form.appendChild(fto);
+		
+    var cc = document.createElement('TEXTAREA');
+    cc.name = "input_cc";
+    cc.value = rs.field(2);
+    form.appendChild(cc);
+
+    var cco = document.createElement('TEXTAREA');
+    cco.name = "input_cco";
+    cco.value = rs.field(3);
+    form.appendChild(cco);
+		
+    var subject = document.createElement('TEXTAREA');
+    subject.name = "input_subject";
+    subject.value = rs.field(4);
+    form.appendChild(subject);
+		
+    var folder = document.createElement('input');
+    folder.name='folder';
+    folder.value=preferences.save_in_folder;
+    form.appendChild(folder);
+		
+    if (rs.field(5) == 1) {
+	var conf_receipt = document.createElement('input');
+	conf_receipt.type='text';
+	conf_receipt.name = "input_return_receipt";
+	conf_receipt.value = 'on';
+	form.appendChild(conf_receipt);
+    }
+		
+    if (rs.field(6) == 1) {
+	var important = document.createElement('input');
+	important.type='text';
+	important.name = "input_important_message";
+	important.value = 'on';
+	form.appendChild(important);
+    }
+		
+    var body = document.createElement('TEXTAREA');
+    body.name = "body";
+    body.value = rs.field(7);
+    form.appendChild(body);
+		
+    var rowid = document.createElement('input');
+    rowid.type = 'hidden';
+    rowid.name = 'rowid';
+    rowid.value = rs.field(8);
+    form.appendChild(rowid);
+		
+    //Mounting the attachs
+    var divFiles = document.createElement("div");
+    divFiles.id = 'divFiles_queue_'+rs.field(8);
+		
+    form.appendChild(divFiles);
+		
+    document.getElementById('forms_queue').appendChild(form);
+
+    var is_local_forward = false;
+    try {
+			
+	var rs_attach = this.dbGears.execute('select url_attach from attachments_queue where id_queue=?', [rs.field(8)]);
+	while (rs_attach.isValidRow()) {
+	    if(rs_attach.field(0).indexOf('../tmpLclAtt/')==-1) {
+		tmp_field = addForwardedFile('queue_' + rs.field(8), this.store.getCapturedFileName(rs_attach.field(0)), 'nothing');
+	    }
+	    else {
+		var tempNomeArquivo = rs_attach.field(0).split("/");
+		var nomeArquivo = tempNomeArquivo[tempNomeArquivo.length-1];
+		nomeArquivo = nomeArquivo.substring(0,nomeArquivo.length - 4); //Anexos no gears sï¿œo todos com extensï¿œo .php. tenho que tirar a extensï¿œo para ficar o nome real do arquivo.
+		is_local_forward = true;
+		tmp_field = addForwardedFile('queue_' + rs.field(8), nomeArquivo, 'nothing');
+	    }
+	    fileSubmitter = this.store.createFileSubmitter();
+	    fileSubmitter.setFileInputElement(tmp_field,rs_attach.field(0));
+	    //		alert(form.innerHTML);
+	    //	div.appendChild(tmp_field);
+	    rs_attach.next();
+	}
+			
+	if(is_local_forward) {
+	    var is_lcl_fw = document.createElement('input');
+	    is_lcl_fw.type = 'hidden';
+	    is_lcl_fw.name = 'is_local_forward';
+	    is_lcl_fw.value = "1";
+	    form.appendChild(is_lcl_fw);
+	}
 				
-		}
-		catch(exception) {
-			alert(exception);
-		}
-		
-		this.finalize();
-		return form;
-	}
-
-	var expresso_local_messages;
-	expresso_local_messages = new local_messages();
-	expresso_local_messages.create_objects();
+    }
+    catch(exception) {
+	alert(exception);
+    }
+		
+    this.finalize();
+    return form;
+}
+
+var expresso_local_messages;
+expresso_local_messages = new local_messages();
+expresso_local_messages.create_objects();
